
Redmine - Feature #3413

Exclude attachments from incoming emails based on file name

2009-05-25 16:34 - Marco Tralles

Status: Closed Start date: 2009-05-25

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed   

Description

i use a digital signature in mail.app and if i reply to a issue-mail my answer will be added to the issue, but redmine adds also a 

smime.p7s file wich is my signature (attachment).

It would be helpful, if redmine learns to ignore s/mime attachments.

Related issues:

Has duplicate Redmine - Defect #12866: attachment from received mails Closed

Has duplicate Redmine - Feature #14998: Exclude some attachment types when re... Closed

Has duplicate Redmine - Feature #18568: Ignore certain attachment Closed

Has duplicate Redmine - Defect #20993: auto-importing GPG signature file Closed

Associated revisions

Revision 12167 - 2013-09-29 13:50 - Jean-Philippe Lang

Exclude attachments from incoming emails based on file name (#3413).

Revision 12168 - 2013-09-29 13:51 - Jean-Philippe Lang

Filling locales (#3413).

History

#1 - 2009-05-25 18:55 - Jean-Philippe Lang

- Subject changed from digital-signature-attachments to Exclude attachments from incoming emails

#2 - 2009-05-25 18:56 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#3 - 2009-05-25 19:26 - Jean-Philippe Lang

- Subject changed from Exclude attachments from incoming emails to Exclude attachments from incoming emails based on mime type

#4 - 2009-10-08 15:33 - Patrick Cummins

+1 for this.

It seems like a very easy change from looking at the source. Even ignoring files by extension would work.

I'm new to ruby... but I'll try to write a patch if I have time.

#5 - 2010-08-19 12:48 - marc maurice

+1

We have a lot of users sending mails to redmine tickets with included images in html signatures.

Each time we have to delete the attachments manually in the ticket. and each time we delete an attachment a notification is sent.

Some attachments that are not real ones must be ignored. Just looking the file extension is not sufficient.

I'm not an email RFC expert, but Looking in two mail sources :

From a mail source with a real attachment :
------_=_NextPart_001_01CB3E16.D938DEBE

Content-Type: application/msword;

    name="=?iso-8859-1?Q?R=E9union_du_18082010=2Edoc?=" 

Content-Transfer-Encoding: base64

Content-Description: =?iso-8859-1?Q?R=E9union_du_18082010=2Edoc?=

Content-Disposition: attachment;

    filename="=?iso-8859-1?Q?R=E9union_du_18082010=2Edoc?=" 

 From a mail source with an included attachment :

------_=_NextPart_002_01CB3D29.23FDF48F

Content-Type: image/gif;

    name="image001.gif" 

Content-Transfer-Encoding: base64

Content-ID: <image001.gif@01CB3D39.E7847940>

Content-Description: image001.gif

Content-Location: image001.gif

 In the "real" attachment, there is a "Content-Disposition: attachment;" ligne.

Maybe it's the way to detect real attachments from others ?

#6 - 2011-03-23 11:36 - Toshi MARUYAMA

- Category set to Attachments

#7 - 2011-10-10 15:20 - Egidijus Zideckas

+1

#8 - 2012-01-12 00:58 - Max Albrecht

+1

i agree that filtering based on mime makes sense in the long run, but for now a small patch would be appreciated. just a comma-seperated list of

extension to ignore, defaulting to the very obvious ones: vcf,p7s and other signatures.

#9 - 2012-01-12 13:49 - Terence Mill

+1

#10 - 2012-02-16 17:21 - Kota Shiratsuka

+1

#11 - 2012-02-16 18:15 - Etienne Massip

- Category changed from Attachments to Email receiving

- Target version set to Candidate for next major release

#12 - 2012-02-29 16:02 - Terence Mill

+1

#13 - 2012-08-24 16:07 - Anonymous

+1 for this.

We are in the same case and issues are pollute with a lot of signature attachment.

#14 - 2012-11-20 09:46 - Egidijus Zideckas

- File mail_handler_ignore_inline_attachments_patch.diff added

Please check this patch which skips inline attachments, mostly signatures.

Patch made to current trunk version.

#15 - 2012-11-20 09:49 - Egidijus Zideckas

- File mail_handler_ignore_inline_attachments_patch.diff added

Sorry, previous file included patch to .gitignore file :)

This one only includes small patch to mail_handler.rb model.
#16 - 2013-01-24 12:27 - Jens Schneider

+1

we have the same problem (company logo included in signature)

This feature would be great.

#17 - 2013-04-05 19:10 - Robert Hailey

+1

S/MIME & company logos could be handled with a configurable filename match in the admin/settings/incoming-email panel.

e.g.

smime.p7s

*.vcf

my_company_logo.jpg

spacer.gif

 As for filtering out "inline" attachments, I would strongly disagree. Some email clients (like Apple's "Mail" app) automatically make attached images

inline.

#18 - 2013-09-29 12:31 - Jean-Philippe Lang

- Has duplicate Feature #14998: Exclude some attachment types when receiving issues by email added

#19 - 2013-09-29 13:52 - Jean-Philippe Lang

- Subject changed from Exclude attachments from incoming emails based on mime type to Exclude attachments from incoming emails based on file

name

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.4.0

- Resolution set to Fixed

Robert Hailey wrote:

S/MIME & company logos could be handled with a configurable filename match in the admin/settings/incoming-email panel.

 Feature added in r12168, a new setting is added to the application settings.

#20 - 2015-01-02 04:28 - Toshi MARUYAMA

- Related to Feature #18568: Ignore certain attachment added

#21 - 2015-05-13 08:19 - Toshi MARUYAMA

- Related to deleted (Feature #18568: Ignore certain attachment)

#22 - 2015-05-13 08:19 - Toshi MARUYAMA

- Has duplicate Feature #18568: Ignore certain attachment added

#23 - 2015-10-15 04:31 - Toshi MARUYAMA

- Has duplicate Defect #20993: auto-importing GPG signature file added

Files

smime.png 11.1 KB 2009-05-25 Marco Tralles

mail_handler_ignore_inline_attachments_patch.diff 1.44 KB 2012-11-20 Egidijus Zideckas

mail_handler_ignore_inline_attachments_patch.diff 1.25 KB 2012-11-20 Egidijus Zideckas
